import {PreloadState} from './states/preload';
import {SplashState} from './states/splash';
import {GameState} from './states/game';
import {GameOverState} from './states/gameover';

class Game extends Phaser.Game {
    constructor() {
        super(document.body.clientWidth, document.body.clientHeight, Phaser.AUTO);
        this.state.add('preload', PreloadState);
        this.state.add('splash', SplashState);
        this.state.add('game', GameState);
        this.state.add('gameover', GameOverState);

        this.state.start('preload');
    }
}

window.onload = function () {
    var game = new Game();
};